@mixin font($font-family, $font-file) {
  @font-face {
    font-family: $font-family;
    src: url($font-file+".eot");
    src: url($font-file+".eot?#iefix") format("embedded-opentype"),
      url($font-file+".woff") format("woff"),
      url($font-file+".ttf") format("truetype"),
      url($font-file+".svg#aller") format("svg");
    font-weight: normal;
    font-style: normal;
  }
}
@include font("SevenOneEight", "/fonts/SevenOneEight-Black");
@include font("SevenOneEight-Book", "/fonts/SevenOneEight-Book");
@include font("SevenOneEight-Medium", "/fonts/SevenOneEight-Medium");
@include font("SevenOneEight-ExtraBold", "/fonts/SevenOneEight-ExtraBold");
@include font("SevenOneEight-light", "/fonts/SevenOneEight-light");

html,
body {
  margin: 0;
  padding: 0 35px;
  background-color: #efefef;
  font-family: SevenOneEight;
}

.content {
  flex: 1 0 auto;
  padding: 10px;
}
.header {
  position: sticky;
  background-color: #efefef;
  top: 0;
  width: 100%;
  z-index: 100;
}

.header-text {
  text-align: center;
}

.select {
  position: relative;
  display: flex;
  width: 20em;
  height: 3em;
  line-height: 3;
  background: #2c3e50;
  overflow: hidden;
  border-radius: 0.25em;
}
select {
  -webkit-appearance: none;
  -moz-appearance: none;
  -ms-appearance: none;
  appearance: none;
  outline: 0;
  box-shadow: none;
  border: 0 !important;
  background: #2c3e50;
  background-image: none;
}
select {
  flex: 1;
  padding: 0 0.5em;
  color: #fff;
  cursor: pointer;
}
/* Arrow */
.select::after {
  content: "\25BC";
  color: #ffff;
  position: absolute;
  top: 0;
  right: 0;
  padding: 0 1em;
  background: #34495e;
  cursor: pointer;
  pointer-events: none;
  -webkit-transition: 0.25s all ease;
  -o-transition: 0.25s all ease;
  transition: 0.25s all ease;
}

.card-grid {
  margin: 5vw auto;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-gap: calc(5vw);
  width: 100%;
  @media screen and (max-width: 1004px) {
    grid-template-columns: repeat(1, 50vw);
    justify-content: center;
    align-items: center;
  }
}

.footer {
  flex-shrink: 0;
  font-family: SevenOneEight-light;
  text-align: center;
  background-color: #333333;
  padding: 12px;
  color: white;
  p {
    margin: 0;
  }
}

.card {
  background-color: #fff;
  text-align: center;

  img {
    max-width: 100%;
  }
  .card-image {
    width: 100%;
  }
}

.review-rating {
  display: inline-block;
}

.star {
  border-radius: 2px;
  margin-right: 2px;
  padding: 2px 0px 0;
}

.star-img {
  height: 12px;
  width: 12px;
}

.inscription {
  display: block;
  background-color: #ec3223;
  cursor: pointer;
  width: 30%;
  height: 7vh;
  transform: translateX(100%);
  color: #fff;
  font-weight: 600;
  font-size: 16px;
  border: none;
  @media screen and (max-width: 1004px) {
    display: block;
    background-color: #ec3223;
    height: 5vh;
  }
}
.button-link {
  font-weight: 600;
  cursor: pointer;
  width: 44px;
  height: 44px;
  float: right;
  margin-right: 2vw;
  border: none;
  background-color: #ec3223;
  color: white;
}

._title {
  color: #d93815;
  text-transform: uppercase;
}
._sub-title {
  color: #5b5b5b;
  text-transform: uppercase;
  font-family: SevenOneEight-light;
  margin-top: -15px;
  margin-bottom: 5px;
}
.sub-title-footer {
  color: #5b5b5b;
  margin: 0;
  font-size: 18px;
  text-transform: uppercase;
  font-weight: 600 !important;
}
.text-footer {
  font-family: SevenOneEight-light;
  color: #5b5b5b;
  font-size: 18px;
  text-transform: uppercase;
  font-weight: 400 !important;
  margin-top: -15px;
  margin-bottom: 5px;
}
hr {
  width: 24%;
  margin-top: 14px;
  height: 4px;
  color: #5a5a5a;
  background: #5a5a5a;
  border: none;
}
.select {
  width: 21em;
  height: 4em;
  margin-top: 25px;
  &::after {
    background: transparent !important;
    color: #d93c1e;
    top: 9px;
  }
}
select {
  color: #01376e;
  background: #fff;
  font-size: 25px;
}
.card-grid {
  .card {
    text-align: left !important;
    position: relative;
    p:nth-child(1) {
      position: absolute;
      top: 196px;
      left: 59%;
    }
    h1 {
      font-size: 20px;
      margin-bottom: 0;
      .span-1 {
        font-size: 18px;
        font-weight: 400;
        font-family: SevenOneEight-light;
      }
    }
    .position-abs {
      position: absolute;
      bottom: 40%;
      right: 6px;
      font-size: 25px;
      color: #fff;
      font-weight: 800;
    }
    p {
      .span-right {
        font-size: 10px;
        padding: 8px;
        background: #c1a272;
        margin-right: 6px;
        text-transform: uppercase;
        font-family: SevenOneEight-light;
        color: #fff;
      }
      .span-left {
        padding: 8px;
        font-size: 10px;
        background: #000;
        margin-right: 6px;
        text-transform: uppercase;
        font-family: SevenOneEight-light;
        color: #fff;
      }
    }
  }
}
.code-promo {
  height: 12vh;
  color: #fff;
  .t1 {
    font-weight: 600;
    font-size: 22px;
    padding-top: 20px;
  }
  .des {
    font-family: SevenOneEight-light;
    a {
      color: #fff;
    }
  }
}
.text-bottom {
  margin-left: 55px;
  font-size: 14px;
  margin-top: -22px;
  color: #5b5b5b;
  font-size: 14px;
}
footer {
  padding: 1px;
  margin-top: 15px;
  margin-bottom: 30px;
}

.App {
  min-height: 100vh;
}

.search-form {
  min-height: 10vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

.search-input {
  width: 50%;
  border: none;
  padding: 10px;
}

.search-button {
  background-color: lightcoral;
  border: none;
  padding: 10px 20px;
  color: white;
}

.star {
  border-radius: 2px;
  margin-right: 2px;
  padding: 2px 0px 0;
}

.code-promo {
  text-align: center;
  height: 10vh;
  background-color: #ec3223;
  @media screen and (max-width: 1004px) {
    height: 15vh;
  }
  p {
    margin: 0;
  }
}

.first-letter::first-letter {
  color: #ec3223;
  float: left;
  font-size: 80px;
  font-weight: bold;
  line-height: 1;
  margin-right: 12px;
}

.stretch {
  flex: 1;
}

.height {
  line-height: 30px;
}

.height-center {
  line-height: 20px;
}
.footer-separation {
  color: #ec3223;
  background: #ec3223;
  height: 3px;
  width: 35vh;
}
.red {
  color: #ec3223;
  font-weight: 600;
  margin-top: -15px;
  font-family: SevenOneEight;
}
.steps-wrapper {
  display: flex;
  font-family: SevenOneEight-light;
  margin-top: 15px;
  justify-content: space-around;
  @media screen and (max-width: 1004px) {
    flex-direction: column;
    margin-left: 11vw;
    justify-content: center;
  }
  p {
    margin: 0;
  }
}
.first-letter {
  color: #5b5b5b;
  font-size: 14px;
}

.carousel {
  position: relative;
  left: 15%;
  width: 50vw;
  height: 33vw;
  overflow: hidden;
  box-shadow: -1px 2px 10px 2px rgba(0, 0, 0, 0.5);

  &_slide {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    text-align: center;
    z-index: 1;
    background-color: black;
    display: flex;
    align-items: center;

    img {
      max-width: 100%;
      width: 100%;
      height: 100%;
    }
  }

  &_control {
    position: absolute;
    z-index: 2;
    top: 0;
    height: 100%;
    display: block;
    background-color: rgba(0, 0, 0, 0.1);
    border: 0;
    padding: 0 5px;
    width: 10%;
    overflow: hidden;
    transition: background-color 300ms ease;
    cursor: pointer;

    span {
      display: inline-block;
      width: 2vw;
      height: 2vw;
      position: relative;
      box-sizing: border-box;
      opacity: 0.65;
      border-bottom: 3px solid white;
      border-left: 3px solid white;
      transition: opacity 300ms ease;
    }

    &:hover {
      background-color: rgba(0, 0, 0, 0.2);

      span {
        opacity: 0.95;
      }
    }

    &__prev {
      left: 0;
      padding-left: 12px;
      span {
        transform: rotate(45deg);
      }
    }

    &__next {
      right: 0;
      padding-right: 12px;
      span {
        transform: rotate(-135deg);
      }
    }
  }
}
